Get run details by display ID
curl --request GET \
--url https://pluto-api.trainy.ai/api/runs/details/by-display-id/{displayId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://pluto-api.trainy.ai/api/runs/details/by-display-id/{displayId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pluto-api.trainy.ai/api/runs/details/by-display-id/{displayId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"number": 123,
"displayId": "<string>",
"status": "<string>",
"tags": [
"<string>"
],
"createdAt": "<string>",
"updatedAt": "<string>",
"statusUpdated": "<string>",
"projectName": "<string>",
"externalId": "<string>",
"logNames": [
{
"logName": "<string>",
"logType": "<string>",
"logGroup": "<string>"
}
],
"config": null,
"systemMetadata": null,
"loggerSettings": null,
"statusMetadata": null
}{
"error": "<string>"
}{
"error": "<string>"
}Runs
Get run details by display ID
Resolves a human-readable display ID (e.g., ‘MMP-1’) to a run and returns its details.
GET
/
api
/
runs
/
details
/
by-display-id
/
{displayId}
Get run details by display ID
Authorizations
API key obtained from the mlop dashboard
Path Parameters
Display ID in PREFIX-NUMBER format (e.g., 'MMP-1')
Response
Run details
Show child attributes
Show child attributes
Was this page helpful?
⌘I